/**
 * Created by kevenfeng on 2016/3/29.
 */
//var React = require("react");
//var ReactDOM = require("react-dom");
//var $ = require("jquery");
var common = require("../common.js");
var style = require("style");

var StockLiveList = React.createClass({
    getInitialState: function() {
        return {
            listData:[]
        }
    },
    componentDidMount:function(){
        var secCode = common.getQueryString("secCode");
        var that = this;
        var options = {
            url:common.getAjaxHost("common")+'getMarketQuotation',
            data:{
                action:'largeunit',
                seccode:secCode
            },
            success:function(data){
                if(data.ret == 0){
                    if(data.content == ""){
                        $("#liveList").html('<div id="noData" class="display_center">\
                            <div class="no_data">暂无直播内容</div>\
                        </div>');
                    }else{
                        if(JSON.parse(data.content).vLargeUnitDesc.length == 0){
                            $("#liveList").html('<div id="noData" class="display_center">\
                                <div class="no_data">暂无直播内容</div>\
                            </div>');
                        }else{
                            that.setState({
                                listData:that.dataFormat(JSON.parse(data.content).vLargeUnitDesc).reverse()
                            });
                        }
                    }
                }
            },
            error:function(data){
                $("#liveList").html('<div id="noData" class="display_center">\
                    <div class="no_data">暂无直播内容</div>\
                </div>');
            }
        };
        common.getData(options);
    },
    dataFormat:function(data){
        var tempData=[];
        for (var i = 0; i < data.length; i++) {
            data[i].time=common.dateConverter('hh:mm',data[i].iTime*1000);
            if(data[i].lSuperBuy!=0){
                tempData.push({
                    time:data[i].time,
                    class:"li_good",
                    title:"顶级委托买单",
                    desc:"顶级委托买单"+data[i].lSuperBuy+"手"
                });
            }
            if(data[i].lSuperSell!=0){
                tempData.push({
                    time:data[i].time,
                    class:"li_bad",
                    title:"顶级委托卖单",
                    desc:"顶级委托卖单"+data[i].lSuperSell+"手"
                });
            }
            if(data[i].lSuperLargeBuy!=0){
                tempData.push({
                    time:data[i].time,
                    class:"li_good",
                    title:"超大委托买单",
                    desc:"超大委托买单"+data[i].lSuperLargeBuy+"手"
                });
            }
            if(data[i].lSuperLargeSell!=0){
                tempData.push({
                    time:data[i].time,
                    class:"li_bad",
                    title:"超大委托卖单",
                    desc:"超大委托卖单"+data[i].lSuperLargeSell+"手"
                });
            }
            if(data[i].lLargeBuy!=0){
                tempData.push({
                    time:data[i].time,
                    class:"li_good",
                    title:"大笔成交买入",
                    desc:"大笔买入成交"+(data[i].lLargeBuy*data[i].fNow/100).toFixed(1)+"万元，价格"+data[i].fNow+"元"
                });
            }
            if(data[i].lLargeSell!=0){
                tempData.push({
                    time:data[i].time,
                    class:"li_bad",
                    title:"大笔成交卖出",
                    desc:"大笔卖出成交"+(data[i].lLargeSell*data[i].fNow/100).toFixed(1)+"万元，价格"+data[i].fNow+"元"
                });
            }
            if(data[i].lCancelBuy!=0){
                tempData.push({
                    time:data[i].time,
                    class:"li_bad",
                    title:"大笔撤买单",
                    desc:"大笔撤买单"+data[i].lCancelBuy+"手"
                });
            }
            if(data[i].lCancelSell!=0){
                tempData.push({
                    time:data[i].time,
                    class:"li_good",
                    title:"大笔撤卖单",
                    desc:"大笔撤卖单"+data[i].lCancelSell+"手"
                });
            }
            if(data[i].lPostLargeBuy!=0){
                tempData.push({
                    time:data[i].time,
                    class:"",
                    title:"大买盘",
                    desc:"五档买盘共计"+data[i].lPostLargeBuy+"手"
                });
            }
            if(data[i].lPostLargeSell!=0){
                tempData.push({
                    time:data[i].time,
                    class:"",
                    title:"大卖盘",
                    desc:"五档卖盘共计"+data[i].lPostLargeSell+"手"
                });
            }
        };
        return tempData;
    },
    render: function () {
        var stockLiveListDom = this.state.listData.map(function (stockLiveDetail) {
            return (
                <li className={stockLiveDetail.class}>
                    <span>{stockLiveDetail.time}</span>
                    <strong>{stockLiveDetail.desc}</strong>
                </li>
            );
        });
        return (
            <ul className="live_list">
                {stockLiveListDom}
            </ul>
        );
    }
});

ReactDOM.render(<StockLiveList />, document.getElementById("liveList"));

var secName = common.getQueryString("secName").replace(/\+/g,' ');
$("#secName").html('个股直播 <i class="ico_line"></i> '+secName);
$("#todayDate").html(common.dateConverter('yyyy-MM-dd',new Date().getTime()));

function alert( tips,times){
    if(times==undefined){
        var optTimes=2000;
    }else{
        var optTimes=times;
    }

    if(!$("#util-pop-alert").length){

        $("body").append('<div id="util-pop-alert" class="pop_alert"></div>')

        $("#util-pop-alert").css({
            position: 'fixed',
            left: '50%',
            bottom: '40px',
            background: 'rgba(89,89,89,.9)',
            color: '#fff',
            padding: '10px',
            opacity: '0',
            'text-align':'center',
            '-webkit-transform':'translate(-50%,0)',
            'transform':'translate(-50%,0)',
            'z-index': '2000',
            'width': '78%',
            'border-radius': '6px',
            'line-height': '1.5',
            'word-break':'break-all',
            'font-size':'16px',
            '-webkit-transition':'all .3s ease-in'
        }).on('tap',function(){
            $("#util-pop-alert").css({opacity:'0'});
        });
    }

    setTimeout(function(){
        $("#util-pop-alert").html(tips).css({opacity:'1'});
    },0);
    
    setTimeout(function(){
        $("#util-pop-alert").css({opacity:'0'});
    },optTimes);
};

$("#stockLiveExp").focus();
setTimeout(function(){
    $("#liveList").focus();
},300);

$("#liveList").on("keydown",function(e){
//32	Space（空格键）
//37	Left（左箭头）
//38	Up（上箭头）
//39	Right（右箭头）
//40	Down（下箭头）
    var keyCode = e.keyCode || e.which;
    // alert(keyCode);
    switch (keyCode){
        case 38:
            if($(this).scrollTop()==0){
                $("#stockLiveExp").focus();
            }else{
                e.preventDefault();
                var scrollTopValue = $(this).scrollTop()-20;
                $(this).scrollTop(scrollTopValue)
            }
            break;
        case 39:
            $("#stockLiveExp").focus();
            break;
        case 40:
            e.preventDefault();
            var scrollTopValue = $(this).scrollTop()+20;
            $(this).scrollTop(scrollTopValue)
            break;
    }
});
$("#stockLiveExp").on("keydown",function(e){
    var keyCode = e.keyCode || e.which;
    switch (keyCode){
        case 37:
        case 40:
            $("#liveList").focus();
            break;
    }
});

// common.mobileConsole($(window).width(), $(window).height());




//http://192.168.9.32:3000/stockLive.html?secName=%E4%B8%8A%E6%B5%B7%E6%96%B0%E9%98%B3&secCode=0001300236
